slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPMonitorCancel

Clears all monitors for a NEP object.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPMonitorCancel(NEP nep)

Logically Collective

### Input Parameters

| nep | - eigensolver context obtained from NEPCreate()

### Options Database Key

| -nep_monitor_cancel | - Cancels all monitors that have been hardwired into a code by calls to NEPMonitorSet(), but does not cancel those set via the options database.

### See Also

NEPMonitorSet()

### Level

intermediate

### Location

src/nep/interface/nepmon.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages